---
title: llarp::json

---

# llarp::json



## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::json::IParser](Classes/structllarp_1_1json_1_1IParser.md)**  |

## Types

|                | Name           |
| -------------- | -------------- |
| using nlohmann::json | **[Object](Namespaces/namespacellarp_1_1json.md#using-object)**  |

## Functions

|                | Name           |
| -------------- | -------------- |
| [IParser](Classes/structllarp_1_1json_1_1IParser.md) * | **[MakeParser](Namespaces/namespacellarp_1_1json.md#function-makeparser)**(size_t contentSize)<br>create new parser  |

## Types Documentation

### using Object

```cpp
using llarp::json::Object = typedef nlohmann::json;
```



## Functions Documentation

### function MakeParser

```cpp
IParser * MakeParser(
    size_t contentSize
)
```

create new parser 





-------------------------------

Updated on 2023-01-20 at 18:12:19 +0000